#!/usr/bin/python
# -*- coding: utf-8 -*-
"""Ensure correct working directory for running examples.

When imported, this file ensures examples run from the main source directory.
This is important so that they can resolve paths properly. All of this can be
avoided at the cost of forcing examples to use installed code bases and avoid
running directly from the source directory. This author prefers not having to
type 'make install' each time he wants to test out a new version of his code.
Just import this file from a file in the examples/ directory to fix the path.
"""
# Copyright (C) 2010  James Shubin, McGill University
# Written for McGill University by James Shubin <purpleidea@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
os.chdir(os.path.join(os.path.dirname(__file__), os.pardir))

